hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Allen Wittenauer (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HADOOP-14202) fix jsvc/secure user inconsistencies
Date Sun, 19 Mar 2017 20:07:41 GMT
Allen Wittenauer created HADOOP-14202:
-----------------------------------------

             Summary: fix jsvc/secure user inconsistencies
                 Key: HADOOP-14202
                 URL: https://issues.apache.org/jira/browse/HADOOP-14202
             Project: Hadoop Common
          Issue Type: Improvement
          Components: scripts
    Affects Versions: 3.0.0-alpha2
            Reporter: Allen Wittenauer
            Assignee: Allen Wittenauer


Post-HADOOP-13341 and (more importantly) HADOOP-13673, there has been a major effort on making
the configuration environment variables consistent among all the projects. The vast majority
of vars now look like (command)_(subcommand)_(etc). Two hold outs are HADOOP_SECURE_DN_USER
 and HADOOP_PRIVILEGED_NFS_USER.

Additionally, there is

* no generic handling
* no documentation for anyone
* no safety checks to make sure things are defined

In order to fix all of this, we should:

* deprecate the previous vars using the deprecation function, updating the HDFS documentation
that references them
* add generic (command)_(subcommand)_SECURE_USER support
* add some verification for the previously mentioned var
* add some docs to UnixShellGuide.md




--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message